Latest News
  Back to News

Protect Against Security Threats

Is You Business Fully Protected?

I would like to take a moment to discuss CBE’s protection against recent security threats including the Heartbleed vulnerability. As you may have heard,  this vulnerability affects any webserver that used OpenSSL version 1.01a-f. This accounted for over 2/3 of the web servers in the world in Q2 of 2014. We are happy to report that CBE was not affected and that CBE IT customers were protected.   Our integrated managed antivirus protects against and is not affected by this…

Related Tags:
Read More